#navbar-button:focus,
.offcanvas-header button:focus {
    box-shadow: inset 0 0 0;
}

body {
    font-family: "Plus Jakarta Sans", sans-serif;
    box-sizing: border-box;
}

.navbar {
    z-index: 3;
    /* background-color: white; */
}

.offcanvas-body {
    text-shadow: 0px 0px 0px rgb(160, 157, 151);
}

.fixed-top.scrolled {
    background-color: #fff !important;
    transition: background-color 200ms linear;
}

.fixed-top.scrolled .hamburger-menu {
    color: black;
}

.fixed-top.scrolled a {
    color: black;
    text-shadow: none;
}

.content {
    margin-top: 5.5em;
}

.hero .container {
    position: relative;
    z-index: 1;
    /* padding-top: 16em; */
}

.hero {
    min-height: 660px;
    background-image: url("../img/background2.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position-y: center;
    position: relative;
}

.hero h1,
.hero p {
    text-shadow: 1px 1px 2px black;
}

.hero::after {
    content: "";
    display: block;
    background-image: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0.75),
        rgba(0, 0, 0, 0)
    );
    width: 100%;
    height: 100%;
    position: absolute;
    bottom: 0;
}

.hero h1 {
    font-size: 4em;
}

.services {
    margin-top: 7em;
}

.services .container {
    box-shadow: 0 6px 20px rgba(17, 26, 104, 0.2);
}

.services h1:hover i {
    color: grey !important;
}

.top-categories {
    margin-top: 7em;
}

.top-categories .row .categories {
    color: white !important;
    text-decoration: none;
    text-shadow: 1px 1px 2px black;
    transition: 0.3s;
}

.top-categories .row .categories:hover,
.categories .category:hover {
    opacity: 0.75;
}

.top-categories .row .categories,
.category {
    padding: 6em 3em;
    border: 4px solid white;
    /* background-image: url("../img/thriller.jpg"); */
    background-size: cover;
    background-repeat: no-repeat;
    text-align: center;
    align-items: center;
}

.romance {
    background-image: url("../img/romance.jpg");
    background-position: center;
}

.adventure {
    background-image: url("../img/adventure.jpg");
}

.mistery {
    background-image: url("../img/mistery.jpg");
    background-position: center;
}

.science {
    background-image: url("../img/science.jpg");
    background-position: center;
}

.thriller {
    background-image: url("../img/thriller.jpg");
}

.myLink {
    color: black;
}

.myLink:hover {
    color: #5f5d5d;
}

.buy-link {
    color: black;
    transition: 0.2s;
}

.buy-link:hover {
    color: #e23434;
}

.myButton {
    border-radius: 0;
    text-decoration: none;
    background-color: #e23434;
    color: white;
    padding: 0.6em 1.8em;
}

.myButton:hover {
    background-color: white;
    color: #e23434;
    border: 1px solid #e23434;
}

.products {
    margin-top: 5em;
}

.products .input-group .btn {
    z-index: 0;
}

.footer .input-group .btn {
    z-index: 0;
}

.products .card {
    border-radius: 0;
    padding: 0;
    margin: 0;
    overflow: hidden;
}

.products .card .card-image {
    overflow: hidden;
    transition: 0.3s;
}

.products .card .card-image img {
    transition: 0.3s;
}

.products .card:hover img {
    transform: scale(1.1);
}

.products .card .buy-button {
    background-color: #e23434;
    color: white;
    transition: 0.3s;
}

.products .card .buy-button:hover {
    transform: scale(1.1);
}

.form-signin .form-floating:focus-within {
    z-index: 2;
}

.form-signin input[type="text"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.form-registration input {
    border-radius: 0;
    margin-top: -1px;
}

.form-registration .form-floating:focus-within {
    z-index: 2;
}

.login {
    min-height: 100vh;
}

.register {
    min-height: 100vh;
}

.footer p {
    text-align: justify;
}

@media (max-width: 976px) {
    .offcanvas-body ul li a {
        color: black;
    }

    .offcanvas-body ul li a:hover {
        color: rgb(148, 144, 144);
    }

    .hero .container .upside {
        text-align: center !important;
    }
}

@media (min-width: 976px) {
    .services .container .row .col-lg-3 {
        border-right: 1px solid rgba(0, 0, 0, 0.2);
    }

    .services .container .row .col-lg-3:last-child {
        border-right: none;
    }
}

@media (max-height: 570px) {
    html {
        font-size: 80%;
    }
    .hero {
        min-height: 100vh;
    }
}
